!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-18 22:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_4836) = coupl(nGC_3397) + coupl(nGC_73)*dZcL/2d0 + coupl(nGC_73&
                        )*dZsR/2d0
      coupl(nGC_4938) = coupl(nGC_3463) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_4935) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_3461) = coupl(nGC_3216)*dyt_QED1
      coupl(nGC_3460) = coupl(nGC_3216)*dyt_QED3
      coupl(nGC_3319) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(&
                        nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(   &
                        nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0)
      coupl(nGC_3251) = cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0*Nc)
      coupl(nGC_5163) = coupl(nGC_3389) + coupl(nGC_36)*dZZ_QED2/2d0
      coupl(nGC_5161) = coupl(nGC_36)*dZeMinusR
      coupl(nGC_3263) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_55) + Nc*   &
                        coupl(nGC_57)*coupl(nGC_59) - Nc*coupl(nGC_61)*coupl(  &
                        nGC_63) - Nc*coupl(nGC_73)*coupl(nGC_75) + Nc*coupl(   &
                        nGC_77)*coupl(nGC_79) + Nc*coupl(nGC_85)*coupl(nGC_87  &
                        ) - coupl(nGC_65)*coupl(nGC_67) - coupl(nGC_69)*coupl( &
                        nGC_71) - coupl(nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
      coupl(nGC_3262) = (Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + Nc*cMB*coupl&
                        (nGC_53)*coupl(nGC_77)*coupl(nGC_79) + Nc*cMB*coupl(   &
                        nGC_55)*coupl(nGC_77)**2d0 + Nc*cMC*coupl(nGC_57)**2d0*&
                        coupl(nGC_59) + Nc*cMC*coupl(nGC_57)*coupl(nGC_73)*    &
                        coupl(nGC_75) + Nc*cMC*coupl(nGC_59)*coupl(nGC_73)**2d0&
                         + Nc*cMD*coupl(nGC_61)**2d0*coupl(nGC_63) + Nc*cMD*   &
                        coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) + Nc*cMD*    &
                        coupl(nGC_63)*coupl(nGC_85)**2d0 + Nc*cMS*coupl(nGC_57 &
                        )**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_57)*coupl(     &
                        nGC_59)*coupl(nGC_73) + Nc*cMS*coupl(nGC_73)**2d0*coupl&
                        (nGC_75) + Nc*cMT*coupl(nGC_53)**2d0*coupl(nGC_79) + Nc&
                        *cMT*coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) + Nc*cMT&
                        *coupl(nGC_77)**2d0*coupl(nGC_79) + Nc*cMU*coupl(nGC_61&
                        )**2d0*coupl(nGC_87) + Nc*cMU*coupl(nGC_61)*coupl(     &
                        nGC_63)*coupl(nGC_85) + Nc*cMU*coupl(nGC_85)**2d0*coupl&
                        (nGC_87) + cME*coupl(nGC_65)**2d0*coupl(nGC_67) + cMM* &
                        coupl(nGC_69)**2d0*coupl(nGC_71) + cMTA*coupl(nGC_81)**&
                        2d0*coupl(nGC_83))/(8d0*pi**2d0)
      coupl(nGC_3261) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_54) + Nc*   &
                        coupl(nGC_57)*coupl(nGC_58) - Nc*coupl(nGC_61)*coupl(  &
                        nGC_62) - Nc*coupl(nGC_73)*coupl(nGC_74) + Nc*coupl(   &
                        nGC_77)*coupl(nGC_78) + Nc*coupl(nGC_85)*coupl(nGC_86  &
                        ) - coupl(nGC_65)*coupl(nGC_66) - coupl(nGC_69)*coupl( &
                        nGC_70) - coupl(nGC_81)*coupl(nGC_82))/(24d0*pi**2d0)
      coupl(nGC_3260) = (Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_34 &
                        )*coupl(nGC_61)**2d0 + Nc*coupl(nGC_34)*coupl(nGC_73)**&
                        2d0 - Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - Nc*coupl(  &
                        nGC_35)*coupl(nGC_77)**2d0 - Nc*coupl(nGC_35)*coupl(   &
                        nGC_85)**2d0 + Nc*coupl(nGC_38)*coupl(nGC_57)**2d0 + Nc&
                        *coupl(nGC_38)*coupl(nGC_77)**2d0 + Nc*coupl(nGC_38)*  &
                        coupl(nGC_85)**2d0 - Nc*coupl(nGC_39)*coupl(nGC_53)**  &
                        2d0 - Nc*coupl(nGC_39)*coupl(nGC_61)**2d0 - Nc*coupl(  &
                        nGC_39)*coupl(nGC_73)**2d0 + coupl(nGC_36)*coupl(nGC_65&
                        )**2d0 + coupl(nGC_36)*coupl(nGC_69)**2d0 + coupl(     &
                        nGC_36)*coupl(nGC_81)**2d0 - coupl(nGC_41)*coupl(nGC_65&
                        )**2d0 - coupl(nGC_41)*coupl(nGC_69)**2d0 - coupl(     &
                        nGC_41)*coupl(nGC_81)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3267) = (Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 4d0*Nc*cMB* &
                        coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + Nc*cMB*    &
                        coupl(nGC_55)*coupl(nGC_56)**2d0 + Nc*cMC*coupl(nGC_58 &
                        )**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_58)*coupl( &
                        nGC_59)*coupl(nGC_60) + Nc*cMC*coupl(nGC_59)*coupl(    &
                        nGC_60)**2d0 + Nc*cMD*coupl(nGC_62)**2d0*coupl(nGC_63  &
                        ) + 4d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_64&
                        ) + Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 + Nc*cMS*  &
                        coupl(nGC_74)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*coupl(   &
                        nGC_74)*coupl(nGC_75)*coupl(nGC_76) + Nc*cMS*coupl(    &
                        nGC_75)*coupl(nGC_76)**2d0 + Nc*cMT*coupl(nGC_78)**2d0*&
                        coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_78)*coupl(nGC_79)*&
                        coupl(nGC_80) + Nc*cMT*coupl(nGC_79)*coupl(nGC_80)**2d0&
                         + Nc*cMU*coupl(nGC_86)**2d0*coupl(nGC_87) + 4d0*Nc*cMU&
                        *coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_88) + Nc*cMU*   &
                        coupl(nGC_87)*coupl(nGC_88)**2d0 + cME*coupl(nGC_66)** &
                        2d0*coupl(nGC_67) + 4d0*cME*coupl(nGC_66)*coupl(nGC_67 &
                        )*coupl(nGC_68) + cME*coupl(nGC_67)*coupl(nGC_68)**2d0 &
                         + cMM*coupl(nGC_70)**2d0*coupl(nGC_71) + 4d0*cMM*coupl&
                        (nGC_70)*coupl(nGC_71)*coupl(nGC_72) + cMM*coupl(nGC_71&
                        )*coupl(nGC_72)**2d0 + cMTA*coupl(nGC_82)**2d0*coupl(  &
                        nGC_83) + 4d0*cMTA*coupl(nGC_82)*coupl(nGC_83)*coupl(  &
                        nGC_84) + cMTA*coupl(nGC_83)*coupl(nGC_84)**2d0)/(8d0* &
                        pi**2d0)
      coupl(nGC_3254) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_5716) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_3346) + coupl( &
                        nGC_4)*dZA_QED2/2d0
      coupl(nGC_3269) = 3d0*(Nc*cMB*coupl(nGC_55)**3d0 + Nc*cMC*coupl(nGC_59)**&
                        3d0 + Nc*cMD*coupl(nGC_63)**3d0 + Nc*cMS*coupl(nGC_75  &
                        )**3d0 + Nc*cMT*coupl(nGC_79)**3d0 + Nc*cMU*coupl(     &
                        nGC_87)**3d0 + cME*coupl(nGC_67)**3d0 + cMM*coupl(     &
                        nGC_71)**3d0 + cMTA*coupl(nGC_83)**3d0)/(4d0*pi**2d0)
      coupl(nGC_3268) = (-Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + Nc*   &
                        coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - Nc*coupl(  &
                        nGC_34)*coupl(nGC_62)*coupl(nGC_63) + Nc*coupl(nGC_34)*&
                        coupl(nGC_63)*coupl(nGC_64) - Nc*coupl(nGC_34)*coupl(  &
                        nGC_74)*coupl(nGC_75) + Nc*coupl(nGC_34)*coupl(nGC_75)*&
                        coupl(nGC_76) + Nc*coupl(nGC_35)*coupl(nGC_58)*coupl(  &
                        nGC_59) - Nc*coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60  &
                        ) + Nc*coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_79) - Nc* &
                        coupl(nGC_35)*coupl(nGC_79)*coupl(nGC_80) + Nc*coupl(  &
                        nGC_35)*coupl(nGC_86)*coupl(nGC_87) - Nc*coupl(nGC_35)*&
                        coupl(nGC_87)*coupl(nGC_88) + Nc*coupl(nGC_38)*coupl(  &
                        nGC_54)*coupl(nGC_55) - Nc*coupl(nGC_38)*coupl(nGC_55)*&
                        coupl(nGC_56) + Nc*coupl(nGC_38)*coupl(nGC_62)*coupl(  &
                        nGC_63) - Nc*coupl(nGC_38)*coupl(nGC_63)*coupl(nGC_64  &
                        ) + Nc*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_75) - Nc* &
                        coupl(nGC_38)*coupl(nGC_75)*coupl(nGC_76) - Nc*coupl(  &
                        nGC_39)*coupl(nGC_58)*coupl(nGC_59) + Nc*coupl(nGC_39)*&
                        coupl(nGC_59)*coupl(nGC_60) - Nc*coupl(nGC_39)*coupl(  &
                        nGC_78)*coupl(nGC_79) + Nc*coupl(nGC_39)*coupl(nGC_79)*&
                        coupl(nGC_80) - Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(  &
                        nGC_87) + Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88  &
                        ) - coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + coupl( &
                        nGC_36)*coupl(nGC_67)*coupl(nGC_68) - coupl(nGC_36)*   &
                        coupl(nGC_70)*coupl(nGC_71) + coupl(nGC_36)*coupl(     &
                        nGC_71)*coupl(nGC_72) - coupl(nGC_36)*coupl(nGC_82)*   &
                        coupl(nGC_83) + coupl(nGC_36)*coupl(nGC_83)*coupl(     &
                        nGC_84) + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67) -  &
                        coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + coupl(     &
                        nGC_40)*coupl(nGC_70)*coupl(nGC_71) - coupl(nGC_40)*   &
                        coupl(nGC_71)*coupl(nGC_72) + coupl(nGC_40)*coupl(     &
                        nGC_82)*coupl(nGC_83) - coupl(nGC_40)*coupl(nGC_83)*   &
                        coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_5304) = coupl(nGC_36)*dZtauMinusR
      coupl(nGC_6377) = coupl(nGC_40)*dZmuMinusL
      coupl(nGC_8455) = coupl(nGC_3359) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 +     &
                        coupl(nGC_HHH)
      coupl(nGC_4745) = coupl(nGC_3346) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_4741) = coupl(nGC_4)*dZeMinusR
      coupl(nGC_4740) = coupl(nGC_40)*dZZA_QED2/2d0
      coupl(nGC_4742) = coupl(nGC_36)*dZZA_QED2/2d0
      coupl(nGC_4884) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3338)
      coupl(nGC_6537) = coupl(nGC_4)*dZtauMinusL
      coupl(nGC_5372) = coupl(nGC_38)*dZsL
      coupl(nGC_7092) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3365)
      coupl(nGC_6712) = coupl(nGC_3357) + coupl(nGC_GPGMGPGM)
      coupl(nGC_4972) = coupl(nGC_3341) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*&
                        dZWMinus_QED2
      coupl(nGC_4973) = -coupl(nGC_4971)/2d0 + coupl(nGC_4972)
      coupl(nGC_4974) = coupl(nGC_4971) - 2d0*coupl(nGC_4972)
      coupl(nGC_4978) = coupl(nGC_3423) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(&
                        nGC_69)*dZnu_muL/2d0
      coupl(nGC_4879) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_4878) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_4872) = coupl(nGC_3407) + coupl(nGC_74)*dZsL/2d0 + coupl(nGC_74&
                        )*dZsR/2d0
      coupl(nGC_4871) = coupl(nGC_3409) + coupl(nGC_76)*dZsL/2d0 + coupl(nGC_76&
                        )*dZsR/2d0
      coupl(nGC_4875) = coupl(nGC_41)*dZnu_eL
      coupl(nGC_3238) = cima*(-Nc*cMB**2d0*coupl(nGC_53)**2d0 - Nc*cMB**2d0*   &
                        coupl(nGC_77)**2d0 - Nc*cMC**2d0*coupl(nGC_57)**2d0 -  &
                        Nc*cMC**2d0*coupl(nGC_73)**2d0 - Nc*cMD**2d0*coupl(    &
                        nGC_61)**2d0 - Nc*cMD**2d0*coupl(nGC_85)**2d0 - Nc*cMS &
                        **2d0*coupl(nGC_57)**2d0 - Nc*cMS**2d0*coupl(nGC_73)** &
                        2d0 - Nc*cMT**2d0*coupl(nGC_53)**2d0 - Nc*cMT**2d0*    &
                        coupl(nGC_77)**2d0 - Nc*cMU**2d0*coupl(nGC_61)**2d0 -  &
                        Nc*cMU**2d0*coupl(nGC_85)**2d0 - cME**2d0*coupl(nGC_65 &
                        )**2d0 - cMM**2d0*coupl(nGC_69)**2d0 - cMTA**2d0*coupl(&
                        nGC_81)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3239) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34) - Nc*coupl(nGC_1)*&
                        coupl(nGC_38) - Nc*coupl(nGC_2)*coupl(nGC_35) - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_36)*coupl(nGC_4 &
                        ) - coupl(nGC_4)*coupl(nGC_40))/(16d0*pi**2d0)
      coupl(nGC_6243) = coupl(nGC_41)*dZnu_muL
      coupl(nGC_3237) = cima*(Nc*coupl(nGC_53)**2d0 + Nc*coupl(nGC_57)**2d0 +  &
                        Nc*coupl(nGC_61)**2d0 + Nc*coupl(nGC_73)**2d0 + Nc*    &
                        coupl(nGC_77)**2d0 + Nc*coupl(nGC_85)**2d0 + coupl(    &
                        nGC_65)**2d0 + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0 &
                        )/(48d0*pi**2d0)
      coupl(nGC_5126) = coupl(nGC_3441) + coupl(nGC_5124)
      coupl(nGC_5125) = coupl(nGC_3440) + coupl(nGC_71)*dZH_QED2/2d0
      coupl(nGC_5080) = coupl(nGC_35)*dZtR
      coupl(nGC_5083) = coupl(nGC_39)*dZtL
      coupl(nGC_5085) = coupl(nGC_3384) + coupl(nGC_35)*dZZ_QED2/2d0
      coupl(nGC_5087) = coupl(nGC_5084) + coupl(nGC_5085)
      coupl(nGC_5086) = coupl(nGC_3385) + coupl(nGC_39)*dZZ_QED2/2d0
      coupl(nGC_3300) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*&
                        coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*    &
                        coupl(nGC_64) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*    &
                        coupl(nGC_76) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*    &
                        coupl(nGC_60) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*    &
                        coupl(nGC_80) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_85)*    &
                        coupl(nGC_88) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_53)*    &
                        coupl(nGC_56) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_57)*    &
                        coupl(nGC_60) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_61)*    &
                        coupl(nGC_64) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_73)*    &
                        coupl(nGC_76) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)*    &
                        coupl(nGC_80) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)*    &
                        coupl(nGC_88) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                        coupl(nGC_56) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*    &
                        coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*    &
                        coupl(nGC_64) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*    &
                        coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*    &
                        coupl(nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_85)*    &
                        coupl(nGC_88) + 5d0*coupl(nGC_36)*coupl(nGC_65)*coupl( &
                        nGC_68) + 5d0*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_72 &
                        ) + 5d0*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_84) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_68) - 4d0*coupl(&
                        nGC_40)*coupl(nGC_69)*coupl(nGC_72) - 4d0*coupl(nGC_40 &
                        )*coupl(nGC_81)*coupl(nGC_84) - 4d0*coupl(nGC_41)*coupl&
                        (nGC_65)*coupl(nGC_68) - 4d0*coupl(nGC_41)*coupl(nGC_69&
                        )*coupl(nGC_72) - 4d0*coupl(nGC_41)*coupl(nGC_81)*coupl&
                        (nGC_84))/(48d0*pi**2d0)
      coupl(nGC_3301) = cima*(Nc*coupl(nGC_1)*coupl(nGC_34)**3d0 + Nc*coupl(   &
                        nGC_1)*coupl(nGC_38)**3d0 + Nc*coupl(nGC_2)*coupl(     &
                        nGC_35)**3d0 + Nc*coupl(nGC_2)*coupl(nGC_39)**3d0 +    &
                        coupl(nGC_36)**3d0*coupl(nGC_4) + coupl(nGC_4)*coupl(  &
                        nGC_40)**3d0)/(8d0*pi**2d0)
      coupl(nGC_4904) = coupl(nGC_25)*dZWMinus_QED2/2d0 + coupl(nGC_3342)
      coupl(nGC_3304) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0  &
                         - coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_73)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_3307) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_55)**2d0 - Nc*  &
                        coupl(nGC_59)**2d0 - Nc*coupl(nGC_63)**2d0 - Nc*coupl( &
                        nGC_75)**2d0 - Nc*coupl(nGC_79)**2d0 - Nc*coupl(nGC_87 &
                        )**2d0 - coupl(nGC_67)**2d0 - coupl(nGC_71)**2d0 -     &
                        coupl(nGC_83)**2d0)/(6d0*pi**2d0)
      coupl(nGC_3308) = 5d0*cima*(Nc*coupl(nGC_55)**4d0 + Nc*coupl(nGC_59)**4d0&
                         + Nc*coupl(nGC_63)**4d0 + Nc*coupl(nGC_75)**4d0 + Nc* &
                        coupl(nGC_79)**4d0 + Nc*coupl(nGC_87)**4d0 + coupl(    &
                        nGC_67)**4d0 + coupl(nGC_71)**4d0 + coupl(nGC_83)**4d0 &
                        )/(4d0*pi**2d0)
      coupl(nGC_3309) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_62)*coupl&
                        (nGC_64) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_74)*    &
                        coupl(nGC_76) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_38)*    &
                        coupl(nGC_54)*coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*    &
                        coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) + 5d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76 &
                        ) - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_58)*coupl(     &
                        nGC_60) - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_78)*coupl&
                        (nGC_80) - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_86)*    &
                        coupl(nGC_88) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*    &
                        coupl(nGC_58)*coupl(nGC_60) + 5d0*Nc*coupl(nGC_35)*    &
                        coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80) + 5d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88 &
                        ) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(     &
                        nGC_56) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_62)*coupl&
                        (nGC_64) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_74)*    &
                        coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_58 &
                        )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(     &
                        nGC_78)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_39)**2d0*coupl&
                        (nGC_86)*coupl(nGC_88) - 4d0*coupl(nGC_36)**2d0*coupl( &
                        nGC_66)*coupl(nGC_68) - 4d0*coupl(nGC_36)**2d0*coupl(  &
                        nGC_70)*coupl(nGC_72) - 4d0*coupl(nGC_36)**2d0*coupl(  &
                        nGC_82)*coupl(nGC_84) + 5d0*coupl(nGC_36)*coupl(nGC_40 &
                        )*coupl(nGC_66)*coupl(nGC_68) + 5d0*coupl(nGC_36)*coupl&
                        (nGC_40)*coupl(nGC_70)*coupl(nGC_72) + 5d0*coupl(nGC_36&
                        )*coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) - 4d0*coupl&
                        (nGC_40)**2d0*coupl(nGC_66)*coupl(nGC_68) - 4d0*coupl( &
                        nGC_40)**2d0*coupl(nGC_70)*coupl(nGC_72) - 4d0*coupl(  &
                        nGC_40)**2d0*coupl(nGC_82)*coupl(nGC_84))/(12d0*pi**2d0&
                        )
      coupl(nGC_4909) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3373) + coupl( &
                        nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_3436) = coupl(nGC_3141)*dytau_QED3
      coupl(nGC_3437) = coupl(nGC_3141)*dytau_QED1
      coupl(nGC_3432) = coupl(nGC_3115)*dym_QED3
      coupl(nGC_3433) = coupl(nGC_3115)*dym_QED1
      coupl(nGC_3430) = coupl(nGC_3129)*dym_QED3
      coupl(nGC_3431) = coupl(nGC_3129)*dym_QED1
      coupl(nGC_3438) = coupl(nGC_3123)*dye_QED3
      coupl(nGC_3439) = coupl(nGC_3123)*dye_QED1
      coupl(nGC_3281) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53  &
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_61&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_73&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_57&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_77&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_85&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77&
                        )**2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_53&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_61&
                        )**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_73&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_53&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_61&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_85&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_57&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_77&
                        )**2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_85&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_53&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61&
                        )**2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73&
                        )**2d0 - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_65)**&
                        2d0 - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_69)**2d0&
                         - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_81)**2d0 + &
                        5d0*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 5d0&
                        *coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_69)**2d0 + 5d0*  &
                        coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_81)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_3280) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl&
                        (nGC_54) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(    &
                        nGC_58) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_62   &
                        ) + Nc*coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_74) - 4d0* &
                        Nc*coupl(nGC_1)*coupl(nGC_77)*coupl(nGC_78) - 4d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl&
                        (nGC_2)*coupl(nGC_53)*coupl(nGC_54) + Nc*coupl(nGC_2)* &
                        coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(nGC_2)*coupl(    &
                        nGC_73)*coupl(nGC_74) + Nc*coupl(nGC_2)*coupl(nGC_77)* &
                        coupl(nGC_78) + Nc*coupl(nGC_2)*coupl(nGC_85)*coupl(   &
                        nGC_86) + coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_66) +   &
                        coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_70) + coupl(nGC_4 &
                        )*coupl(nGC_81)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_3283) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 - Nc*   &
                        coupl(nGC_1)**2d0*coupl(nGC_63)**2d0 - Nc*coupl(nGC_1  &
                        )**2d0*coupl(nGC_75)**2d0 - Nc*coupl(nGC_2)**2d0*coupl(&
                        nGC_59)**2d0 - Nc*coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 &
                         - Nc*coupl(nGC_2)**2d0*coupl(nGC_87)**2d0 - coupl(    &
                        nGC_4)**2d0*coupl(nGC_67)**2d0 - coupl(nGC_4)**2d0*    &
                        coupl(nGC_71)**2d0 - coupl(nGC_4)**2d0*coupl(nGC_83)** &
                        2d0)/(4d0*pi**2d0)
      coupl(nGC_3282) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(nGC_56 &
                        ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_62)*coupl(nGC_64) - &
                        Nc*coupl(nGC_1)**2d0*coupl(nGC_74)*coupl(nGC_76) - Nc* &
                        coupl(nGC_2)**2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*    &
                        coupl(nGC_2)**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc*    &
                        coupl(nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_88) - coupl( &
                        nGC_4)**2d0*coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_4  &
                        )**2d0*coupl(nGC_70)*coupl(nGC_72) - coupl(nGC_4)**2d0*&
                        coupl(nGC_82)*coupl(nGC_84))/(4d0*pi**2d0)
      coupl(nGC_3285) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl&
                        (nGC_56) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(    &
                        nGC_60) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_64   &
                        ) + Nc*coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_76) - 4d0* &
                        Nc*coupl(nGC_1)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl&
                        (nGC_2)*coupl(nGC_53)*coupl(nGC_56) + Nc*coupl(nGC_2)* &
                        coupl(nGC_57)*coupl(nGC_60) - 4d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_61)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_2)*coupl(    &
                        nGC_73)*coupl(nGC_76) + Nc*coupl(nGC_2)*coupl(nGC_77)* &
                        coupl(nGC_80) + Nc*coupl(nGC_2)*coupl(nGC_85)*coupl(   &
                        nGC_88) + coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_68) +   &
                        coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_4 &
                        )*coupl(nGC_81)*coupl(nGC_84))/(48d0*pi**2d0)
      coupl(nGC_3284) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl&
                        (nGC_55) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(    &
                        nGC_59) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_63   &
                        ) + Nc*coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_75) - 4d0* &
                        Nc*coupl(nGC_1)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc*coupl&
                        (nGC_2)*coupl(nGC_53)*coupl(nGC_55) + Nc*coupl(nGC_2)* &
                        coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(nGC_2)*coupl(    &
                        nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_2)*coupl(nGC_77)* &
                        coupl(nGC_79) + Nc*coupl(nGC_2)*coupl(nGC_85)*coupl(   &
                        nGC_87) + coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_67) +   &
                        coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_71) + coupl(nGC_4 &
                        )*coupl(nGC_81)*coupl(nGC_83))/(48d0*pi**2d0)
      coupl(nGC_3287) = cima*coupl(nGC_23)**2d0*(-2d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_38) + 3d0*Nc*coupl(nGC_1)*coupl(nGC_39) + 3d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(&
                        nGC_39) - 2d0*coupl(nGC_4)*coupl(nGC_40) + 3d0*coupl(  &
                        nGC_4)*coupl(nGC_41))/(16d0*pi**2d0)
      coupl(nGC_3286) = cima*coupl(nGC_23)**2d0*(6d0*Nc*coupl(nGC_1)*coupl(    &
                        nGC_38) - 5d0*Nc*coupl(nGC_1)*coupl(nGC_39) - 5d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_38) + 6d0*Nc*coupl(nGC_2)*coupl(&
                        nGC_39) + 6d0*coupl(nGC_4)*coupl(nGC_40) - 5d0*coupl(  &
                        nGC_4)*coupl(nGC_41))/(16d0*pi**2d0)
      coupl(nGC_3288) = cima*(Nc*coupl(nGC_1)**3d0*coupl(nGC_34) + Nc*coupl(   &
                        nGC_1)**3d0*coupl(nGC_38) + Nc*coupl(nGC_2)**3d0*coupl(&
                        nGC_35) + Nc*coupl(nGC_2)**3d0*coupl(nGC_39) + coupl(  &
                        nGC_36)*coupl(nGC_4)**3d0 + coupl(nGC_4)**3d0*coupl(   &
                        nGC_40))/(8d0*pi**2d0)
      coupl(nGC_7280) = coupl(nGC_3438) + coupl(nGC_67)*dZH_QED2/2d0
      coupl(nGC_5157) = coupl(nGC_40)*dZeMinusL
      coupl(nGC_5154) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3366) + coupl(nGC_7)*    &
                        dZZA_QED2/2d0
      coupl(nGC_5621) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3340)
      coupl(nGC_5622) = -coupl(nGC_5621)
      coupl(nGC_5290) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
      coupl(nGC_5336) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_5335) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_5334) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_5293) = coupl(nGC_3470) + coupl(nGC_5290)
      coupl(nGC_6349) = coupl(nGC_MS)*(dZsL + dZsR)/2d0
      coupl(nGC_6348) = coupl(nGC_MI)*dZsL
      coupl(nGC_5524) = coupl(nGC_3399) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77&
                        )*dZtR/2d0
      coupl(nGC_5489) = coupl(nGC_3449) + coupl(nGC_60)*dZcL/2d0 + coupl(nGC_60&
                        )*dZcR/2d0
      coupl(nGC_5523) = coupl(nGC_3401) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53&
                        )*dZtL/2d0
      coupl(nGC_7061) = coupl(nGC_3466) + coupl(nGC_7058)
      coupl(nGC_7060) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_7107) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_7104) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_7105) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_3379) = coupl(nGC_3117)*dsw_QED2 + coupl(nGC_3118)*dZee_QED2 + &
                        coupl(nGC_3119)*dcw_QED2 + coupl(nGC_3120)*dvev_QED1
      coupl(nGC_3378) = coupl(nGC_3213)*dZee_QED2 + coupl(nGC_3214)*dsw_QED2 + &
                        coupl(nGC_3215)*dcw_QED2
      coupl(nGC_3370) = coupl(nGC_3201)*dZee_QED2 + coupl(nGC_3202)*dsw_QED2 + &
                        coupl(nGC_3203)*dcw_QED2
      coupl(nGC_3372) = coupl(nGC_3195)*dZee_QED2 + coupl(nGC_3196)*dsw_QED2 + &
                        coupl(nGC_3197)*dcw_QED2
      coupl(nGC_3375) = coupl(nGC_3098)*dZee_QED2 + coupl(nGC_3099)*dcw_QED2 + &
                        coupl(nGC_3100)*dvev_QED1
      coupl(nGC_3374) = coupl(nGC_3125)*dZee_QED2 + coupl(nGC_3126)*dcw_QED2
      coupl(nGC_3377) = coupl(nGC_3217)*dZee_QED2 + coupl(nGC_3218)*dsw_QED2 + &
                        coupl(nGC_3219)*dcw_QED2
      coupl(nGC_3376) = coupl(nGC_3127)*dZee_QED2 + coupl(nGC_3128)*dcw_QED2
      coupl(nGC_5412) = coupl(nGC_3456) + coupl(nGC_87)*dZH_QED2/2d0
      coupl(nGC_5411) = coupl(nGC_87)*(dZuL + dZuR)/2d0
      coupl(nGC_4825) = coupl(nGC_38)*dZbL
      coupl(nGC_4826) = coupl(nGC_3387) + coupl(nGC_34)*dZZ_QED2/2d0
      coupl(nGC_4827) = coupl(nGC_3386) + coupl(nGC_38)*dZZ_QED2/2d0
      coupl(nGC_9218) = -coupl(nGC_3260)
      coupl(nGC_4822) = coupl(nGC_34)*dZbR
      coupl(nGC_4942) = coupl(nGC_3372) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZZ_QED2/2d0
      coupl(nGC_4828) = coupl(nGC_4819) + coupl(nGC_4826)
      coupl(nGC_3478) = coupl(nGC_152)*dMZ2_QED2
      coupl(nGC_3476) = coupl(nGC_144)*dMW2_QED2
      coupl(nGC_3477) = coupl(nGC_148)*dMW2_QED2
      coupl(nGC_5051) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/  &
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3342)
      coupl(nGC_5055) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3340)
      coupl(nGC_3270) = coupl(nGC_23)**2d0*(-Nc*cMB*coupl(nGC_55) - Nc*cMC*    &
                        coupl(nGC_59) - Nc*cMD*coupl(nGC_63) - Nc*cMS*coupl(   &
                        nGC_75) - Nc*cMT*coupl(nGC_79) - Nc*cMU*coupl(nGC_87   &
                        ) - cME*coupl(nGC_67) - cMM*coupl(nGC_71) - cMTA*coupl(&
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_5466) = coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_3272) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*  &
                        coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75   &
                        ) + cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0*Nc)
      coupl(nGC_3273) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC* &
                        coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75   &
                        ) - cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3274) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_38) - Nc*coupl(nGC_39 &
                        ) + coupl(nGC_40) - coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_5462) = -coupl(nGC_5051)
      coupl(nGC_3362) = coupl(nGC_3156)*dZee_QED2 + coupl(nGC_3157)*dsw_QED2
      coupl(nGC_5471) = coupl(nGC_5466) + coupl(nGC_5469)
      coupl(nGC_4728) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3367)
      coupl(nGC_3249) = cima*(-Nc*coupl(nGC_34)**2d0 - Nc*coupl(nGC_35)**2d0 - &
                        Nc*coupl(nGC_38)**2d0 - Nc*coupl(nGC_39)**2d0 - coupl( &
                        nGC_36)**2d0 - coupl(nGC_40)**2d0 - coupl(nGC_41)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_9127) = -coupl(nGC_3257)
      coupl(nGC_3405) = coupl(nGC_3113)*dydo_QED1
      coupl(nGC_3404) = coupl(nGC_3113)*dydo_QED3
      coupl(nGC_3403) = coupl(nGC_3116)*dydo_QED1
      coupl(nGC_3402) = coupl(nGC_3116)*dydo_QED3
      coupl(nGC_3248) = cima*(-Nc*cMB**2d0*coupl(nGC_55)**2d0 - Nc*cMC**2d0*   &
                        coupl(nGC_59)**2d0 - Nc*cMD**2d0*coupl(nGC_63)**2d0 -  &
                        Nc*cMS**2d0*coupl(nGC_75)**2d0 - Nc*cMT**2d0*coupl(    &
                        nGC_79)**2d0 - Nc*cMU**2d0*coupl(nGC_87)**2d0 - cME**  &
                        2d0*coupl(nGC_67)**2d0 - cMM**2d0*coupl(nGC_71)**2d0 - &
                        cMTA**2d0*coupl(nGC_83)**2d0)/(4d0*pi**2d0)
      coupl(nGC_6380) = coupl(nGC_36)*dZmuMinusR
      coupl(nGC_4752) = coupl(nGC_3378) + coupl(nGC_42)*dZAZ_QED2 + coupl(     &
                        nGC_45)*dZZ_QED2
      coupl(nGC_5202) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_5209) = coupl(nGC_75)*(dZsL + dZsR)/2d0
      coupl(nGC_5564) = coupl(nGC_3358) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(  &
                        nGC_GGH)
      coupl(nGC_5369) = coupl(nGC_34)*dZsR
      coupl(nGC_5587) = coupl(nGC_3393) + coupl(nGC_85)*dZdL/2d0 + coupl(nGC_85&
                        )*dZuR/2d0
      coupl(nGC_6914) = coupl(nGC_3427) + coupl(nGC_68)*dZeMinusL/2d0 + coupl( &
                        nGC_68)*dZeMinusR/2d0
      coupl(nGC_6915) = coupl(nGC_3429) + coupl(nGC_66)*dZeMinusL/2d0 + coupl( &
                        nGC_66)*dZeMinusR/2d0
      coupl(nGC_6640) = coupl(nGC_39)*dZuL
      coupl(nGC_4983) = coupl(nGC_3370) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(  &
                        nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +   &
                        coupl(nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_5298) = coupl(nGC_79)*(dZtL + dZtR)/2d0
      coupl(nGC_5299) = coupl(nGC_3460) + coupl(nGC_79)*dZH_QED2/2d0
      coupl(nGC_4860) = coupl(nGC_34)*dZdR
      coupl(nGC_4863) = coupl(nGC_38)*dZdL
      coupl(nGC_5093) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_5586) = coupl(nGC_3391) + coupl(nGC_61)*dZdR/2d0 + coupl(nGC_61&
                        )*dZuL/2d0
      coupl(nGC_4917) = coupl(nGC_3346) + coupl(nGC_4)*dZWMinus_QED2/2d0
      coupl(nGC_3331) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) -     &
                        coupl(nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_3330) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_3332) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**  &
                        2d0)
      coupl(nGC_3442) = coupl(nGC_3140)*dytau_QED3
      coupl(nGC_3298) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*&
                        coupl(nGC_55) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*    &
                        coupl(nGC_63) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*    &
                        coupl(nGC_75) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*    &
                        coupl(nGC_59) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*    &
                        coupl(nGC_79) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_85)*    &
                        coupl(nGC_87) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_53)*    &
                        coupl(nGC_55) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_57)*    &
                        coupl(nGC_59) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_61)*    &
                        coupl(nGC_63) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_73)*    &
                        coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)*    &
                        coupl(nGC_79) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)*    &
                        coupl(nGC_87) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                        coupl(nGC_55) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*    &
                        coupl(nGC_59) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*    &
                        coupl(nGC_63) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*    &
                        coupl(nGC_75) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*    &
                        coupl(nGC_79) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_85)*    &
                        coupl(nGC_87) + 5d0*coupl(nGC_36)*coupl(nGC_65)*coupl( &
                        nGC_67) + 5d0*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71 &
                        ) + 5d0*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_67) - 4d0*coupl(&
                        nGC_40)*coupl(nGC_69)*coupl(nGC_71) - 4d0*coupl(nGC_40 &
                        )*coupl(nGC_81)*coupl(nGC_83) - 4d0*coupl(nGC_41)*coupl&
                        (nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_41)*coupl(nGC_69&
                        )*coupl(nGC_71) - 4d0*coupl(nGC_41)*coupl(nGC_81)*coupl&
                        (nGC_83))/(48d0*pi**2d0)
      coupl(nGC_3299) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 -  &
                        4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc* &
                        coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 + 5d0*Nc*coupl(  &
                        nGC_34)*coupl(nGC_39)*coupl(nGC_53)**2d0 + 5d0*Nc*coupl&
                        (nGC_34)*coupl(nGC_39)*coupl(nGC_61)**2d0 + 5d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73)**2d0 - 4d0*Nc&
                        *coupl(nGC_35)**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl( &
                        nGC_35)**2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_35  &
                        )**2d0*coupl(nGC_85)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl(&
                        nGC_38)*coupl(nGC_57)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl&
                        (nGC_38)*coupl(nGC_77)**2d0 + 5d0*Nc*coupl(nGC_35)*    &
                        coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_38 &
                        )**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0* &
                        coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(  &
                        nGC_85)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_53  &
                        )**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_61)**2d0  &
                         - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 - 4d0* &
                        coupl(nGC_36)**2d0*coupl(nGC_65)**2d0 - 4d0*coupl(     &
                        nGC_36)**2d0*coupl(nGC_69)**2d0 - 4d0*coupl(nGC_36)**  &
                        2d0*coupl(nGC_81)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_41&
                        )*coupl(nGC_65)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_41)*&
                        coupl(nGC_69)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_41)*  &
                        coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl(     &
                        nGC_65)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl(nGC_69)**  &
                        2d0 - 4d0*coupl(nGC_41)**2d0*coupl(nGC_81)**2d0)/(24d0*&
                        pi**2d0)
      coupl(nGC_3296) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 + Nc&
                        *coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 + 2d0*Nc*coupl( &
                        nGC_53)*coupl(nGC_55)*coupl(nGC_77)*coupl(nGC_79) + Nc*&
                        coupl(nGC_55)**2d0*coupl(nGC_77)**2d0 + Nc*coupl(nGC_57&
                        )**2d0*coupl(nGC_59)**2d0 + Nc*coupl(nGC_57)**2d0*coupl&
                        (nGC_75)**2d0 + 2d0*Nc*coupl(nGC_57)*coupl(nGC_59)*    &
                        coupl(nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_59)**2d0*   &
                        coupl(nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_63&
                        )**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_87)**2d0 + 2d0&
                        *Nc*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85)*coupl(   &
                        nGC_87) + Nc*coupl(nGC_63)**2d0*coupl(nGC_85)**2d0 + Nc&
                        *coupl(nGC_73)**2d0*coupl(nGC_75)**2d0 + Nc*coupl(     &
                        nGC_77)**2d0*coupl(nGC_79)**2d0 + Nc*coupl(nGC_85)**2d0&
                        *coupl(nGC_87)**2d0 + coupl(nGC_65)**2d0*coupl(nGC_67  &
                        )**2d0 + coupl(nGC_69)**2d0*coupl(nGC_71)**2d0 + coupl(&
                        nGC_81)**2d0*coupl(nGC_83)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3297) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*&
                        coupl(nGC_54) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*    &
                        coupl(nGC_62) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*    &
                        coupl(nGC_74) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*    &
                        coupl(nGC_58) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*    &
                        coupl(nGC_78) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_85)*    &
                        coupl(nGC_86) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_53)*    &
                        coupl(nGC_54) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_57)*    &
                        coupl(nGC_58) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_61)*    &
                        coupl(nGC_62) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_73)*    &
                        coupl(nGC_74) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)*    &
                        coupl(nGC_78) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)*    &
                        coupl(nGC_86) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                        coupl(nGC_54) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*    &
                        coupl(nGC_58) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*    &
                        coupl(nGC_62) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*    &
                        coupl(nGC_74) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*    &
                        coupl(nGC_78) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_85)*    &
                        coupl(nGC_86) + 5d0*coupl(nGC_36)*coupl(nGC_65)*coupl( &
                        nGC_66) + 5d0*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_70 &
                        ) + 5d0*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_82) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_66) - 4d0*coupl(&
                        nGC_40)*coupl(nGC_69)*coupl(nGC_70) - 4d0*coupl(nGC_40 &
                        )*coupl(nGC_81)*coupl(nGC_82) - 4d0*coupl(nGC_41)*coupl&
                        (nGC_65)*coupl(nGC_66) - 4d0*coupl(nGC_41)*coupl(nGC_69&
                        )*coupl(nGC_70) - 4d0*coupl(nGC_41)*coupl(nGC_81)*coupl&
                        (nGC_82))/(48d0*pi**2d0)
      coupl(nGC_3294) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55)**2d0&
                         - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63)**2d0 -  &
                        Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75)**2d0 - Nc* &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55)**2d0 - Nc*    &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63)**2d0 - Nc*    &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79)**2d0 - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87)**2d0 - coupl( &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_67)**2d0 - coupl(nGC_36 &
                        )*coupl(nGC_4)*coupl(nGC_71)**2d0 - coupl(nGC_36)*coupl&
                        (nGC_4)*coupl(nGC_83)**2d0 - coupl(nGC_4)*coupl(nGC_40 &
                        )*coupl(nGC_67)**2d0 - coupl(nGC_4)*coupl(nGC_40)*coupl&
                        (nGC_71)**2d0 - coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3295) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_53)**2d0 - Nc*  &
                        coupl(nGC_57)**2d0 - Nc*coupl(nGC_61)**2d0 - Nc*coupl( &
                        nGC_73)**2d0 - Nc*coupl(nGC_77)**2d0 - Nc*coupl(nGC_85 &
                        )**2d0 - coupl(nGC_65)**2d0 - coupl(nGC_69)**2d0 -     &
                        coupl(nGC_81)**2d0)/(12d0*pi**2d0)
      coupl(nGC_3292) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54)*    &
                        coupl(nGC_56) - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(   &
                        nGC_62)*coupl(nGC_64) - Nc*coupl(nGC_1)*coupl(nGC_34)* &
                        coupl(nGC_74)*coupl(nGC_76) - Nc*coupl(nGC_1)*coupl(   &
                        nGC_38)*coupl(nGC_54)*coupl(nGC_56) - Nc*coupl(nGC_1)* &
                        coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) - Nc*coupl(  &
                        nGC_1)*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) - Nc* &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_60  &
                        ) - Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_78)*coupl( &
                        nGC_80) - Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)* &
                        coupl(nGC_88) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(   &
                        nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_2)*coupl(nGC_39)* &
                        coupl(nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_2)*coupl(   &
                        nGC_39)*coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_36&
                        )*coupl(nGC_4)*coupl(nGC_70)*coupl(nGC_72) - coupl(    &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_82)*coupl(nGC_84) -     &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68  &
                        ) - coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_70)*coupl(    &
                        nGC_72) - coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_82)*    &
                        coupl(nGC_84))/(8d0*pi**2d0)
      coupl(nGC_3293) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(   &
                        nGC_56) + Nc*coupl(nGC_53)**2d0*coupl(nGC_78)*coupl(   &
                        nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77)*&
                        coupl(nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_56)*coupl(  &
                        nGC_77)*coupl(nGC_78) + Nc*coupl(nGC_54)*coupl(nGC_56)*&
                        coupl(nGC_77)**2d0 + Nc*coupl(nGC_57)**2d0*coupl(nGC_58&
                        )*coupl(nGC_60) + Nc*coupl(nGC_57)**2d0*coupl(nGC_74)* &
                        coupl(nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_58)*coupl(  &
                        nGC_73)*coupl(nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_60)*&
                        coupl(nGC_73)*coupl(nGC_74) + Nc*coupl(nGC_58)*coupl(  &
                        nGC_60)*coupl(nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*    &
                        coupl(nGC_62)*coupl(nGC_64) + Nc*coupl(nGC_61)**2d0*   &
                        coupl(nGC_86)*coupl(nGC_88) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_62)*coupl(nGC_85)*coupl(nGC_88) + Nc*coupl(nGC_61)*&
                        coupl(nGC_64)*coupl(nGC_85)*coupl(nGC_86) + Nc*coupl(  &
                        nGC_62)*coupl(nGC_64)*coupl(nGC_85)**2d0 + Nc*coupl(   &
                        nGC_73)**2d0*coupl(nGC_74)*coupl(nGC_76) + Nc*coupl(   &
                        nGC_77)**2d0*coupl(nGC_78)*coupl(nGC_80) + Nc*coupl(   &
                        nGC_85)**2d0*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_65&
                        )**2d0*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_69)**2d0&
                        *coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_81)**2d0*coupl&
                        (nGC_82)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3290) = cima*(Nc*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + Nc*    &
                        coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + Nc*coupl(nGC_2  &
                        )**2d0*coupl(nGC_35)**2d0 + Nc*coupl(nGC_2)**2d0*coupl(&
                        nGC_39)**2d0 + coupl(nGC_36)**2d0*coupl(nGC_4)**2d0 +  &
                        coupl(nGC_4)**2d0*coupl(nGC_40)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3291) = 5d0*cima*(Nc*coupl(nGC_53)**4d0 + Nc*coupl(nGC_57)**4d0&
                         + Nc*coupl(nGC_61)**4d0 + Nc*coupl(nGC_73)**4d0 + Nc* &
                        coupl(nGC_77)**4d0 + Nc*coupl(nGC_85)**4d0 + coupl(    &
                        nGC_65)**4d0 + coupl(nGC_69)**4d0 + coupl(nGC_81)**4d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_5060) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3356) + coupl(      &
                        nGC_HHGG)
      coupl(nGC_5067) = coupl(nGC_3377) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46&
                        )*dZZ_QED2
      coupl(nGC_9456) = -coupl(nGC_3265)
      coupl(nGC_4762) = -coupl(nGC_4761)
      coupl(nGC_4760) = coupl(nGC_3413) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56&
                        )*dZbR/2d0
      coupl(nGC_9428) = -coupl(nGC_3275)
      coupl(nGC_5256) = coupl(nGC_MD)*(dZdL + dZdR)/2d0
      coupl(nGC_7276) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_5194) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_3351)
      coupl(nGC_6079) = coupl(nGC_3473) + coupl(nGC_6077)
      coupl(nGC_6076) = coupl(nGC_MI)*dZbL
      coupl(nGC_4810) = coupl(nGC_3476) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_4816) = coupl(nGC_29)*dZA_QED2/2d0 + coupl(nGC_29)*            &
                        dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2/2d0 + coupl(    &
                        nGC_3344)
      coupl(nGC_4950) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3376) + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_4818) = -2d0*coupl(nGC_4815) + coupl(nGC_4816)
      coupl(nGC_4956) = coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_4957) = -coupl(nGC_4956)
      coupl(nGC_5103) = coupl(nGC_3375) + coupl(nGC_47)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_3364) = coupl(nGC_3145)*dZee_QED2 + coupl(nGC_3146)*dsw_QED2
      coupl(nGC_3363) = coupl(nGC_3104)*dsw_QED2 + coupl(nGC_3105)*dZee_QED2 + &
                        coupl(nGC_3106)*dvev_QED1
      coupl(nGC_3360) = coupl(nGC_3109)*dZee_QED2
      coupl(nGC_3361) = coupl(nGC_3158)*dZee_QED2 + coupl(nGC_3159)*dsw_QED2
      coupl(nGC_3244) = cima*(-Nc*cMB**2d0*coupl(nGC_54)*coupl(nGC_56) - Nc*cMC&
                        **2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*cMD**2d0*coupl( &
                        nGC_62)*coupl(nGC_64) - Nc*cMS**2d0*coupl(nGC_74)*coupl&
                        (nGC_76) - Nc*cMT**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc&
                        *cMU**2d0*coupl(nGC_86)*coupl(nGC_88) - cME**2d0*coupl(&
                        nGC_66)*coupl(nGC_68) - cMM**2d0*coupl(nGC_70)*coupl(  &
                        nGC_72) - cMTA**2d0*coupl(nGC_82)*coupl(nGC_84))/(4d0* &
                        pi**2d0)
      coupl(nGC_3247) = cima*(Nc*coupl(nGC_55)**2d0 + Nc*coupl(nGC_59)**2d0 +  &
                        Nc*coupl(nGC_63)**2d0 + Nc*coupl(nGC_75)**2d0 + Nc*    &
                        coupl(nGC_79)**2d0 + Nc*coupl(nGC_87)**2d0 + coupl(    &
                        nGC_67)**2d0 + coupl(nGC_71)**2d0 + coupl(nGC_83)**2d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_3240) = cima*(Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMB**&
                        2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMC**2d0*coupl(    &
                        nGC_2)*coupl(nGC_35) + Nc*cMC**2d0*coupl(nGC_2)*coupl( &
                        nGC_39) + Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc* &
                        cMD**2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMS**2d0*coupl&
                        (nGC_1)*coupl(nGC_34) + Nc*cMS**2d0*coupl(nGC_1)*coupl(&
                        nGC_38) + Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35) + Nc* &
                        cMT**2d0*coupl(nGC_2)*coupl(nGC_39) + Nc*cMU**2d0*coupl&
                        (nGC_2)*coupl(nGC_35) + Nc*cMU**2d0*coupl(nGC_2)*coupl(&
                        nGC_39) + cME**2d0*coupl(nGC_36)*coupl(nGC_4) + cME**  &
                        2d0*coupl(nGC_4)*coupl(nGC_40) + cMM**2d0*coupl(nGC_36 &
                        )*coupl(nGC_4) + cMM**2d0*coupl(nGC_4)*coupl(nGC_40) + &
                        cMTA**2d0*coupl(nGC_36)*coupl(nGC_4) + cMTA**2d0*coupl(&
                        nGC_4)*coupl(nGC_40))/(8d0*pi**2d0)
      coupl(nGC_3243) = cima*(Nc*coupl(nGC_54)*coupl(nGC_56) + Nc*coupl(nGC_58 &
                        )*coupl(nGC_60) + Nc*coupl(nGC_62)*coupl(nGC_64) + Nc* &
                        coupl(nGC_74)*coupl(nGC_76) + Nc*coupl(nGC_78)*coupl(  &
                        nGC_80) + Nc*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_66&
                        )*coupl(nGC_68) + coupl(nGC_70)*coupl(nGC_72) + coupl( &
                        nGC_82)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3369) = coupl(nGC_3101)*dsw_QED2 + coupl(nGC_3102)*dZee_QED2 + &
                        coupl(nGC_3103)*dvev_QED1
      coupl(nGC_4733) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 + &
                        coupl(nGC_3345)
      coupl(nGC_3418) = coupl(nGC_3107)*dyb_QED3
      coupl(nGC_3419) = coupl(nGC_3107)*dyb_QED1
      coupl(nGC_7910) = -coupl(nGC_7906)
      coupl(nGC_3410) = coupl(nGC_3097)*dyb_QED3
      coupl(nGC_3411) = coupl(nGC_3097)*dyb_QED1
      coupl(nGC_3412) = coupl(nGC_3108)*dyb_QED3
      coupl(nGC_3271) = (-Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + Nc*cMB*    &
                        coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMB*    &
                        coupl(nGC_38)**2d0*coupl(nGC_55) - Nc*cMC*coupl(nGC_35 &
                        )**2d0*coupl(nGC_59) + Nc*cMC*coupl(nGC_35)*coupl(     &
                        nGC_39)*coupl(nGC_59) - Nc*cMC*coupl(nGC_39)**2d0*coupl&
                        (nGC_59) - Nc*cMD*coupl(nGC_34)**2d0*coupl(nGC_63) + Nc&
                        *cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63) - Nc*cMD&
                        *coupl(nGC_38)**2d0*coupl(nGC_63) - Nc*cMS*coupl(nGC_34&
                        )**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_34)*coupl(     &
                        nGC_38)*coupl(nGC_75) - Nc*cMS*coupl(nGC_38)**2d0*coupl&
                        (nGC_75) - Nc*cMT*coupl(nGC_35)**2d0*coupl(nGC_79) + Nc&
                        *cMT*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79) - Nc*cMT&
                        *coupl(nGC_39)**2d0*coupl(nGC_79) - Nc*cMU*coupl(nGC_35&
                        )**2d0*coupl(nGC_87) + Nc*cMU*coupl(nGC_35)*coupl(     &
                        nGC_39)*coupl(nGC_87) - Nc*cMU*coupl(nGC_39)**2d0*coupl&
                        (nGC_87) - cME*coupl(nGC_36)**2d0*coupl(nGC_67) + cME* &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_67) - cME*coupl( &
                        nGC_40)**2d0*coupl(nGC_67) - cMM*coupl(nGC_36)**2d0*   &
                        coupl(nGC_71) + cMM*coupl(nGC_36)*coupl(nGC_40)*coupl( &
                        nGC_71) - cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - cMTA* &
                        coupl(nGC_36)**2d0*coupl(nGC_83) + cMTA*coupl(nGC_36)* &
                        coupl(nGC_40)*coupl(nGC_83) - cMTA*coupl(nGC_40)**2d0* &
                        coupl(nGC_83))/(4d0*pi**2d0)
      coupl(nGC_5464) = coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_5958) = coupl(nGC_3414) + coupl(nGC_63)*dZH_QED2/2d0
      coupl(nGC_5954) = coupl(nGC_63)*(dZdL + dZdR)/2d0
      coupl(nGC_4782) = coupl(nGC_3388) + coupl(nGC_41)*dZZ_QED2/2d0
      coupl(nGC_5214) = coupl(nGC_3417) + coupl(nGC_5209)
      coupl(nGC_4787) = coupl(nGC_3377) + coupl(nGC_46)*dZZ_QED2
      coupl(nGC_3279) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -   &
                        4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*  &
                        coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                        nGC_1)**2d0*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_1)** &
                        2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0*coupl&
                        (nGC_85)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(&
                        nGC_53)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_57)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_61)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_73)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_77)**2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl( &
                        nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_53)**&
                        2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_57)**2d0 - 4d0&
                        *Nc*coupl(nGC_2)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl&
                        (nGC_2)**2d0*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl&
                        (nGC_85)**2d0 - 4d0*coupl(nGC_4)**2d0*coupl(nGC_65)**  &
                        2d0 - 4d0*coupl(nGC_4)**2d0*coupl(nGC_69)**2d0 - 4d0*  &
                        coupl(nGC_4)**2d0*coupl(nGC_81)**2d0)/(24d0*pi**2d0)
      coupl(nGC_6456) = coupl(nGC_3379) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2
      coupl(nGC_6637) = coupl(nGC_35)*dZuR
      coupl(nGC_4999) = coupl(nGC_3421) + coupl(nGC_65)*dZeMinusR/2d0 + coupl( &
                        nGC_65)*dZnu_eL/2d0
      coupl(nGC_4853) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0&
                         + coupl(nGC_3342)
      coupl(nGC_5505) = -coupl(nGC_5501)
      coupl(nGC_5506) = 2d0*coupl(nGC_5501)
      coupl(nGC_3302) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_54)*coupl(nGC_56&
                        ) - Nc*coupl(nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_62)* &
                        coupl(nGC_64) - Nc*coupl(nGC_74)*coupl(nGC_76) - Nc*   &
                        coupl(nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_86)*coupl(  &
                        nGC_88) - coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_70)* &
                        coupl(nGC_72) - coupl(nGC_82)*coupl(nGC_84))/(6d0*pi** &
                        2d0)
      coupl(nGC_3303) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 + Nc&
                        *coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 + Nc*coupl(     &
                        nGC_62)**2d0*coupl(nGC_64)**2d0 + Nc*coupl(nGC_74)**2d0&
                        *coupl(nGC_76)**2d0 + Nc*coupl(nGC_78)**2d0*coupl(     &
                        nGC_80)**2d0 + Nc*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0&
                         + coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 + coupl(nGC_70&
                        )**2d0*coupl(nGC_72)**2d0 + coupl(nGC_82)**2d0*coupl(  &
                        nGC_84)**2d0)/(4d0*pi**2d0)
      coupl(nGC_3305) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 + &
                        coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0&
                        *pi**2d0*Nc)
      coupl(nGC_5591) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_3351) + coupl(  &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_3354) = coupl(nGC_3209)*dZee_QED2 + coupl(nGC_3210)*dsw_QED2 + &
                        coupl(nGC_3211)*dMZ2_QED2 + coupl(nGC_3212)*dcw_QED2
      coupl(nGC_3353) = coupl(nGC_3173)*dZee_QED2 + coupl(nGC_3174)*dsw_QED2 + &
                        coupl(nGC_3175)*dMZ2_QED2
      coupl(nGC_3352) = coupl(nGC_3170)*dsw_QED2 + coupl(nGC_3171)*dMW2_QED2 + &
                        coupl(nGC_3172)*dZee_QED2
      coupl(nGC_3306) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +   &
                        4d0*Nc*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(nGC_56   &
                        ) + Nc*coupl(nGC_55)**2d0*coupl(nGC_56)**2d0 + Nc*coupl&
                        (nGC_58)**2d0*coupl(nGC_59)**2d0 + 4d0*Nc*coupl(nGC_58 &
                        )*coupl(nGC_59)**2d0*coupl(nGC_60) + Nc*coupl(nGC_59)**&
                        2d0*coupl(nGC_60)**2d0 + Nc*coupl(nGC_62)**2d0*coupl(  &
                        nGC_63)**2d0 + 4d0*Nc*coupl(nGC_62)*coupl(nGC_63)**2d0*&
                        coupl(nGC_64) + Nc*coupl(nGC_63)**2d0*coupl(nGC_64)**  &
                        2d0 + Nc*coupl(nGC_74)**2d0*coupl(nGC_75)**2d0 + 4d0*Nc&
                        *coupl(nGC_74)*coupl(nGC_75)**2d0*coupl(nGC_76) + Nc*  &
                        coupl(nGC_75)**2d0*coupl(nGC_76)**2d0 + Nc*coupl(nGC_78&
                        )**2d0*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_78)*coupl(&
                        nGC_79)**2d0*coupl(nGC_80) + Nc*coupl(nGC_79)**2d0*    &
                        coupl(nGC_80)**2d0 + Nc*coupl(nGC_86)**2d0*coupl(nGC_87&
                        )**2d0 + 4d0*Nc*coupl(nGC_86)*coupl(nGC_87)**2d0*coupl(&
                        nGC_88) + Nc*coupl(nGC_87)**2d0*coupl(nGC_88)**2d0 +   &
                        coupl(nGC_66)**2d0*coupl(nGC_67)**2d0 + 4d0*coupl(     &
                        nGC_66)*coupl(nGC_67)**2d0*coupl(nGC_68) + coupl(nGC_67&
                        )**2d0*coupl(nGC_68)**2d0 + coupl(nGC_70)**2d0*coupl(  &
                        nGC_71)**2d0 + 4d0*coupl(nGC_70)*coupl(nGC_71)**2d0*   &
                        coupl(nGC_72) + coupl(nGC_71)**2d0*coupl(nGC_72)**2d0  &
                         + coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                        nGC_82)*coupl(nGC_83)**2d0*coupl(nGC_84) + coupl(nGC_83&
                        )**2d0*coupl(nGC_84)**2d0)/(24d0*pi**2d0)
      coupl(nGC_4926) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3382)
      coupl(nGC_3322) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 + &
                        coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75 &
                        )**2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0&
                        *pi**2d0*Nc)
      coupl(nGC_3323) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0  &
                         - coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(    &
                        nGC_75)**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_3450) = coupl(nGC_3110)*dyc_QED3
      coupl(nGC_3451) = coupl(nGC_3110)*dyc_QED1
      coupl(nGC_3454) = coupl(nGC_3204)*dyt_QED3
      coupl(nGC_3455) = coupl(nGC_3204)*dyt_QED1
      coupl(nGC_3457) = coupl(nGC_3231)*dyup_QED1
      coupl(nGC_6893) = coupl(nGC_3354) + coupl(nGC_44)*dZH_QED2/2d0
      coupl(nGC_9116) = -coupl(nGC_3263)
      coupl(nGC_5641) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_3340)
      coupl(nGC_5317) = coupl(nGC_3478) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_6352) = coupl(nGC_3472) + coupl(nGC_6349)
      coupl(nGC_4776) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_3380)
      coupl(nGC_4777) = coupl(nGC_4773) + coupl(nGC_4776)
      coupl(nGC_4778) = coupl(nGC_4775) + coupl(nGC_4776)
      coupl(nGC_5545) = coupl(nGC_3437) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl&
                        (nGC_84)*dZtauMinusR/2d0
      coupl(nGC_5546) = coupl(nGC_3435) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl&
                        (nGC_82)*dZtauMinusR/2d0
      coupl(nGC_8689) = -coupl(nGC_7092)
      coupl(nGC_4894) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_3383)
      coupl(nGC_4897) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3349)
      coupl(nGC_5856) = coupl(nGC_3468) + coupl(nGC_5854)
      coupl(nGC_9236) = -coupl(nGC_3266)
      coupl(nGC_4967) = -coupl(nGC_4966)
      coupl(nGC_9231) = -coupl(nGC_3255)
      coupl(nGC_4802) = coupl(nGC_3346) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_40)*dZZA_QED2/2d0
      coupl(nGC_4803) = -coupl(nGC_4802)
      coupl(nGC_5094) = coupl(nGC_3442) + coupl(nGC_83)*dZH_QED2/2d0
      coupl(nGC_5095) = coupl(nGC_3443) + coupl(nGC_5093)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
