!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-18 22:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_5195) = -coupl(nGC_5194)
      coupl(nGC_4817) = coupl(nGC_4815) - coupl(nGC_4816)/2d0
      coupl(nGC_4734) = -coupl(nGC_4732)/2d0 + coupl(nGC_4733)
      coupl(nGC_4735) = coupl(nGC_4732) - 2d0*coupl(nGC_4733)
      coupl(nGC_5943) = coupl(nGC_3363) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl( &
                        nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
      coupl(nGC_5346) = coupl(nGC_3477) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_5056) = -coupl(nGC_5055)
      coupl(nGC_5488) = coupl(nGC_3451) + coupl(nGC_58)*dZcL/2d0 + coupl(nGC_58&
                        )*dZcR/2d0
      coupl(nGC_4798) = coupl(nGC_3419) + coupl(nGC_4796)
      coupl(nGC_4797) = coupl(nGC_3418) + coupl(nGC_55)*dZH_QED2/2d0
      coupl(nGC_5300) = coupl(nGC_3461) + coupl(nGC_5298)
      coupl(nGC_5139) = coupl(nGC_3455) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78&
                        )*dZtR/2d0
      coupl(nGC_5959) = coupl(nGC_3415) + coupl(nGC_5954)
      coupl(nGC_4854) = -coupl(nGC_4853)
      coupl(nGC_4769) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3361) + coupl(nGC_9)*    &
                        dZZA_QED2/2d0
      coupl(nGC_6440) = coupl(nGC_3433) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(&
                        nGC_70)*dZmuMinusR/2d0
      coupl(nGC_6441) = coupl(nGC_3431) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(&
                        nGC_72)*dZmuMinusR/2d0
      coupl(nGC_9198) = -coupl(nGC_3268)
      coupl(nGC_7281) = coupl(nGC_3439) + coupl(nGC_7276)
      coupl(nGC_5245) = coupl(nGC_3405) + coupl(nGC_62)*dZdL/2d0 + coupl(nGC_62&
                        )*dZdR/2d0
      coupl(nGC_5244) = coupl(nGC_3403) + coupl(nGC_64)*dZdL/2d0 + coupl(nGC_64&
                        )*dZdR/2d0
      coupl(nGC_9190) = -coupl(nGC_3274)
      coupl(nGC_7108) = coupl(nGC_3465) + coupl(nGC_7105)
      coupl(nGC_5642) = -coupl(nGC_5641)
      coupl(nGC_4934) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0&
                         + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3362) + &
                        coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_4746) = coupl(nGC_4742) + coupl(nGC_4745)
      coupl(nGC_4918) = -coupl(nGC_4917)
      coupl(nGC_9155) = -coupl(nGC_3261)
      coupl(nGC_4901) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3374) + coupl( &
                        nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 + &
                        coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_4729) = -coupl(nGC_4728)
      coupl(nGC_5413) = coupl(nGC_3457) + coupl(nGC_5411)
      coupl(nGC_5088) = coupl(nGC_5084) + coupl(nGC_5086)
      coupl(nGC_5337) = coupl(nGC_3467) + coupl(nGC_5335)
      coupl(nGC_4747) = coupl(nGC_4740) + coupl(nGC_4745)
      coupl(nGC_5538) = -coupl(nGC_4942)
      coupl(nGC_4953) = coupl(nGC_3369) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(  &
                        nGC_50)*dZWMinus_QED2
      coupl(nGC_5259) = coupl(nGC_3471) + coupl(nGC_5256)
      coupl(nGC_5007) = -coupl(nGC_5006)
      coupl(nGC_5063) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3364)
      coupl(nGC_5164) = coupl(nGC_5158) + coupl(nGC_5163)
      coupl(nGC_5162) = coupl(nGC_3372) + coupl(nGC_40)*dZZ_QED2/2d0
      coupl(nGC_4946) = coupl(nGC_3360) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
      coupl(nGC_4905) = -coupl(nGC_4904)
      coupl(nGC_4759) = coupl(nGC_3411) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54&
                        )*dZbR/2d0
      coupl(nGC_5470) = coupl(nGC_5464) + coupl(nGC_5469)
      coupl(nGC_5592) = -coupl(nGC_5591)
      coupl(nGC_5717) = -coupl(nGC_5716)
      coupl(nGC_4829) = coupl(nGC_4819) + coupl(nGC_4827)
      coupl(nGC_5165) = coupl(nGC_5158) + coupl(nGC_5162)
      coupl(nGC_5064) = -coupl(nGC_5063)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
