!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-18 22:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9236])

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1171)%branchR2(0:1))
      call avR2(1171, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1171, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3263])

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(1172)%branchR2(0:1))
      call avR2(1172, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      call avR2(1172, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3315, nGC_3315,        &
      nGC_3314])

      allocate(vertices(1173)%branchR2(0:1))
      call avR2(1173, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3304])

      call avR2(1173, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3266])

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(1174)%branchR2(0:1))
      call avR2(1174, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3323])

      call avR2(1174, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3322])

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289,       &
      nGC_3289])

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 13, 1, 0, VV5, 0, [0, 2], [nGC_3241, nGC_3242])

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3256])

      allocate(vertices(1176)%branchR2(0:1))
      call avR2(1176, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1176, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3282])

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3315, nGC_3315,        &
      nGC_3314])

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3282])

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3265])

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3307])

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1179)%branchR2(0:1))
      call avR2(1179, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,      &
      nGC_3312])

      call avR2(1179, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,      &
      nGC_3311])

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1180)%branchR2(0:5))
      call avR2(1180, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1180, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1180, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1180, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1180, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1180, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      allocate(vertices(1181)%branchR2(0:5))
      call avR2(1181, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1181, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1181, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1181, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1181, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1181, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      allocate(vertices(1182)%branchR2(0:1))
      call avR2(1182, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_3272])

      call avR2(1182, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_3273])

      allocate(vertices(1183)%branchR2(0:1))
      call avR2(1183, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,      &
      nGC_3312])

      call avR2(1183, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,      &
      nGC_3311])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3264])

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,        &
      nGC_3287])

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3274])

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1184)%branchR2(0:1))
      call avR2(1184, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3304])

      call avR2(1184, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3305])

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3302])

      allocate(vertices(1013)%branchR2(0:0))
      call avR2(1013, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277, nGC_3278&
      ])

      allocate(vertices(1185)%branchR2(0:1))
      call avR2(1185, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1185, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3309])

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287,        &
      nGC_3286])

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3315, nGC_3314, nGC_3315&
      ])

      allocate(vertices(1187)%branchR2(0:1))
      call avR2(1187, 0, 45, 1, 0, VSV0, 0, [2, 1], [nGC_3272])

      call avR2(1187, 1, 46, 1, 0, VSV0, 0, [2, 1], [nGC_3273])

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3270])

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3292])

      allocate(vertices(684)%branchR2(0:0))
      call avR2(684, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3259])

      allocate(vertices(1189)%branchR2(0:1))
      call avR2(1189, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3318])

      call avR2(1189, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3319])

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,        &
      nGC_3287])

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3302])

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3308])

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(1190)%branchR2(0:1))
      call avR2(1190, 0, 48, 1, 0, VVS0, 0, [2, 1], [nGC_3273])

      call avR2(1190, 1, 47, 1, 0, VVS0, 0, [2, 1], [nGC_3272])

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3261])

      allocate(vertices(1191)%branchR2(0:5))
      call avR2(1191, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1191, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1191, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1191, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      call avR2(1191, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1191, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277,        &
      nGC_3278])

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(759)%branchR2(0:0))
      call avR2(759, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9231])

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(199)%branchR2(0:0))
      call avR2(199, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3256])

      allocate(vertices(1194)%branchR2(0:1))
      call avR2(1194, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      call avR2(1194, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      allocate(vertices(160)%branchR2(0:0))
      call avR2(160, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(1195)%branchR2(0:1))
      call avR2(1195, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3304])

      call avR2(1195, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3294])

      allocate(vertices(1196)%branchR2(0:1))
      call avR2(1196, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      call avR2(1196, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      allocate(vertices(1197)%branchR2(0:1))
      call avR2(1197, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1197, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3292])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3315,        &
      nGC_3315])

      allocate(vertices(1198)%branchR2(0:1))
      call avR2(1198, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3318])

      call avR2(1198, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3319])

      allocate(vertices(1199)%branchR2(0:1))
      call avR2(1199, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3304])

      call avR2(1199, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287,        &
      nGC_3286])

      allocate(vertices(1200)%branchR2(0:1))
      call avR2(1200, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3305])

      call avR2(1200, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3304])

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(492)%branchR2(0:0))
      call avR2(492, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9172, nGC_3310,        &
      nGC_9172])

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3315, nGC_3315,        &
      nGC_3314])

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3307])

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 13, 1, 0, VV4, 0, [0, 2], [nGC_3249, nGC_3250])

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(58)%branchR2(0:0))
      call avR2(58, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287&
      ])

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3271])

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3279])

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3263])

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(414)%branchR2(0:0))
      call avR2(414, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3256])

      allocate(vertices(34)%branchR2(0:1))
      call avR2(34, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_9428])

      call avR2(34, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_9430])

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(1201)%branchR2(0:5))
      call avR2(1201, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1201, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1201, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1201, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1201, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1201, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3302])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,       &
      nGC_3287])

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3256])

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1203)%branchR2(0:1))
      call avR2(1203, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3319])

      call avR2(1203, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3318])

      allocate(vertices(1204)%branchR2(0:1))
      call avR2(1204, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3304])

      call avR2(1204, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3305])

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3270])

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3264])

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3301, nGC_3301,       &
      nGC_3301])

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9456])

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9190])

      allocate(vertices(1206)%branchR2(0:1))
      call avR2(1206, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      call avR2(1206, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(948)%branchR2(0:0))
      call avR2(948, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1207)%branchR2(0:1))
      call avR2(1207, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3305])

      call avR2(1207, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3304])

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3277, nGC_3278,        &
      nGC_3278])

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3255])

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,        &
      nGC_3287])

      allocate(vertices(255)%branchR2(0:0))
      call avR2(255, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(540)%branchR2(0:0))
      call avR2(540, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3270])

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1208)%branchR2(0:1))
      call avR2(1208, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,      &
      nGC_3312])

      call avR2(1208, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,      &
      nGC_3311])

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3279])

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3279])

      allocate(vertices(1133)%branchR2(0:0))
      call avR2(1133, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3282])

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3268])

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287&
      ])

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3302])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3299])

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3302])

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3301, nGC_3301,       &
      nGC_3301])

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3313])

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3274])

      allocate(vertices(1211)%branchR2(0:1))
      call avR2(1211, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1211, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_3244, nGC_3243])

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3256])

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3270])

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3302])

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3258])

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1212)%branchR2(0:1))
      call avR2(1212, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1212, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3282])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1214)%branchR2(0:1))
      call avR2(1214, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      call avR2(1214, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287,        &
      nGC_3287])

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(746)%branchR2(0:0))
      call avR2(746, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 13, 1, 0, VV4, 0, [0, 2], [nGC_3239, nGC_3240])

      allocate(vertices(693)%branchR2(0:0))
      call avR2(693, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3256])

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(1215)%branchR2(0:1))
      call avR2(1215, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3319])

      call avR2(1215, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3318])

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(1216)%branchR2(0:1))
      call avR2(1216, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1216, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288,       &
      nGC_3288])

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3256])

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3307])

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(1218)%branchR2(0:1))
      call avR2(1218, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1218, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3269])

      allocate(vertices(768)%branchR2(0:0))
      call avR2(768, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3310, nGC_9172,        &
      nGC_9172])

      allocate(vertices(433)%branchR2(0:0))
      call avR2(433, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(1219)%branchR2(0:1))
      call avR2(1219, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      call avR2(1219, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3256])

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3263])

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3258])

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1220)%branchR2(0:0))
      call avR2(1220, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3324, nGC_3324,       &
      nGC_3324])

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(1221)%branchR2(0:1))
      call avR2(1221, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1221, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(738)%branchR2(0:0))
      call avR2(738, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3278,        &
      nGC_3277])

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9172, nGC_3310,        &
      nGC_9172])

      allocate(vertices(1222)%branchR2(0:0))
      call avR2(1222, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288,       &
      nGC_3288])

      allocate(vertices(1223)%branchR2(0:1))
      call avR2(1223, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      call avR2(1223, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      allocate(vertices(1102)%branchR2(0:0))
      call avR2(1102, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3292])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3313])

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3283])

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3315, nGC_3314,        &
      nGC_3315])

      allocate(vertices(780)%branchR2(0:0))
      call avR2(780, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3302])

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(1072)%branchR2(0:0))
      call avR2(1072, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3292])

      allocate(vertices(1225)%branchR2(0:1))
      call avR2(1225, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      call avR2(1225, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9218])

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9231])

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3313])

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(443)%branchR2(0:0))
      call avR2(443, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3299])

      allocate(vertices(1226)%branchR2(0:1))
      call avR2(1226, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1226, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(1227)%branchR2(0:1))
      call avR2(1227, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3304])

      call avR2(1227, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3305])

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3307])

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3258])

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290,       &
      nGC_3290])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9155])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9198])

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(1229)%branchR2(0:5))
      call avR2(1229, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,      &
      nGC_3327])

      call avR2(1229, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1229, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      call avR2(1229, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1229, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,      &
      nGC_3328])

      call avR2(1229, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,      &
      nGC_3329])

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288,       &
      nGC_3288])

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9456])

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3309])

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9116])

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9198])

      allocate(vertices(1073)%branchR2(0:0))
      call avR2(1073, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_3238, nGC_3237])

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

      allocate(vertices(1231)%branchR2(0:5))
      call avR2(1231, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1231, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1231, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,      &
      nGC_3331])

      call avR2(1231, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,      &
      nGC_3330])

      call avR2(1231, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      call avR2(1231, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,      &
      nGC_3332])

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3309])

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3303])

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1232)%branchR2(0:1))
      call avR2(1232, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      call avR2(1232, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3259])

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3299])

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3274])

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277,        &
      nGC_3278])

      allocate(vertices(226)%branchR2(0:0))
      call avR2(226, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287&
      ])

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3315, nGC_3314, nGC_3315])

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3300])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3310, nGC_9172, nGC_9172&
      ])

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1234)%branchR2(0:1))
      call avR2(1234, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,      &
      nGC_3325])

      call avR2(1234, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,      &
      nGC_3326])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288,       &
      nGC_3288])

      allocate(vertices(1236)%branchR2(0:1))
      call avR2(1236, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3319])

      call avR2(1236, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3318])

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3294])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3256])

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3257])

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3283])

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(841)%branchR2(0:0))
      call avR2(841, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(755)%branchR2(0:0))
      call avR2(755, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

      allocate(vertices(434)%branchR2(0:0))
      call avR2(434, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3301, nGC_3301,       &
      nGC_3301])

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9218])

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9172, nGC_9172,        &
      nGC_3310])

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3315, nGC_3315,        &
      nGC_3314])

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3280])

      allocate(vertices(1239)%branchR2(0:1))
      call avR2(1239, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      call avR2(1239, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(375)%branchR2(0:0))
      call avR2(375, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(1052)%branchR2(0:0))
      call avR2(1052, 0, 13, 1, 0, VV5, 0, [0, 2], [nGC_3239, nGC_3240])

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9236])

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9236])

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

      allocate(vertices(1240)%branchR2(0:1))
      call avR2(1240, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3323])

      call avR2(1240, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3322])

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3300])

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3297])

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3294])

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3268])

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3309])

      allocate(vertices(1241)%branchR2(0:1))
      call avR2(1241, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      call avR2(1241, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(628)%branchR2(0:0))
      call avR2(628, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3267])

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3277, nGC_3278,        &
      nGC_3278])

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3313])

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3258])

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

      allocate(vertices(353)%branchR2(0:0))
      call avR2(353, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3255])

      allocate(vertices(749)%branchR2(0:0))
      call avR2(749, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286,        &
      nGC_3287])

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3283])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3264])

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9155])

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3266])

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(993)%branchR2(0:0))
      call avR2(993, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9190])

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3283])

      allocate(vertices(1244)%branchR2(0:1))
      call avR2(1244, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1244, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3264])

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3278,        &
      nGC_3277])

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3261])

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9127])

      allocate(vertices(1245)%branchR2(0:1))
      call avR2(1245, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,      &
      nGC_3321])

      call avR2(1245, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,      &
      nGC_3320])

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9456])

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3256])

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3299])

      allocate(vertices(41)%branchR2(0:0))
      call avR2(41, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3266])

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3270])

      allocate(vertices(1246)%branchR2(0:1))
      call avR2(1246, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,      &
      nGC_3317])

      call avR2(1246, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,      &
      nGC_3316])

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3292])

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 13, 1, 0, VV4, 0, [0, 2], [nGC_3241, nGC_3242])

      allocate(vertices(499)%branchR2(0:0))
      call avR2(499, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

      allocate(vertices(1247)%branchR2(0:1))
      call avR2(1247, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3305])

      call avR2(1247, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3304])

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3297])

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3279])

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

    end subroutine fill_vertices_mdl4
end module vertices_info4
